Versions-Update vermeiden

Unterstützung und Diskussion zur Installation von Empirum (Agentenverteilung, Depotserver ...)

Moderator: MVogt

Antworten
Benutzeravatar
sascha.joswig
Beiträge: 136
Registriert: 20. Nov 2007, 11:31
Wohnort: Rastede
Kontaktdaten:

Versions-Update vermeiden

Beitrag von sascha.joswig » 04. Feb 2013, 08:31

Hi Leute,

ich habe hier ein neues Paket einer Software von der auf vereinzelten Rechnern noch eine alte Version installiert ist. Den Rest der Geschichte lassen wir mal außen vor ;)

Wie dem auch sei suche ich gerade nach dem Indikator, der erkennt, dass es sich bei dem Paket um ein Update-Paket handelt um zu verhindern, dass er erkennt, dass er die alte Setup.inf suchen muss.

Ich habe bereits die Uninstall-Einträge des alten Pakets entfernt, aber Empirum versucht weiterhin ein Update.

Bitte kurze Info. Danke!

Benutzeravatar
bboehm
Beiträge: 536
Registriert: 07. Apr 2008, 18:47
Wohnort: München
Kontaktdaten:

Re: Versions-Update vermeiden

Beitrag von bboehm » 04. Feb 2013, 09:20

Guten Morgen Sascha,

In der setup.inf findest du den Parameter "AskUninstallOld". Ist der Wert "1" versucht der Agent eine Deinstallation des
alten Pakets, ist der Wert "0" wird keine Deinstallation der älteren Version durchgeführt.

Schöne Grüße
Bernhard
IT-Administrator mit Migrationshintergrund bei Fraunhofer-Gesellschaft

Produktionssystem: W2k19, Empirum 19.0.3, MS SQL 2017 Enterprise
Testsystem: W2k19, Empirum 19.0.3, MS SQL 2017 Express

Benutzeravatar
sascha.joswig
Beiträge: 136
Registriert: 20. Nov 2007, 11:31
Wohnort: Rastede
Kontaktdaten:

Re: Versions-Update vermeiden

Beitrag von sascha.joswig » 04. Feb 2013, 09:30

Hi Bernhard,

danke für den Hinweis, aber der Schalter muss zwingend so bleiben wie er ist, da ich auch saubere Versions-Updates habe. Es betrifft nur eine handvoll Rechner, bei denen ich es dirty brauche ;)

Benutzeravatar
bboehm
Beiträge: 536
Registriert: 07. Apr 2008, 18:47
Wohnort: München
Kontaktdaten:

Re: Versions-Update vermeiden

Beitrag von bboehm » 04. Feb 2013, 09:34

Wenn dirty, dann zieh die älteren Versionen mit dem Parameter auf den aktuellen Stand und dann änderst den Wert
im Paket einfach wieder.
IT-Administrator mit Migrationshintergrund bei Fraunhofer-Gesellschaft

Produktionssystem: W2k19, Empirum 19.0.3, MS SQL 2017 Enterprise
Testsystem: W2k19, Empirum 19.0.3, MS SQL 2017 Express

Benutzeravatar
sascha.joswig
Beiträge: 136
Registriert: 20. Nov 2007, 11:31
Wohnort: Rastede
Kontaktdaten:

Re: Versions-Update vermeiden

Beitrag von sascha.joswig » 04. Feb 2013, 10:06

Vorher würde ich aber gerne wissen, auf welches Erkennungsmerkmal sich das Update-Paket bezieht.

Antworten

Zurück zu „Installation und Verteilung“

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot] und 5 Gäste